## libzen-0.4.35-1-src.tar.xz

=== Project/CMake/CMakeLists.txt ===
project(ZenLib)

cmake_minimum_required(VERSION 2.8.11)

# Allow use of the LOCATION target property with CMake version >= 2.8.12
# Only use cmake policy if the policy is known
if(POLICY CMP0026)
  cmake_policy(SET CMP0026 OLD)
endif()

if(WIN32)
  option(BUILD_SHARED_LIBS "Build shared libs" OFF)
else()
  option(BUILD_SHARED_LIBS "Build shared libs" ON)
endif()

option(ENABLE_UNICODE "Enable unicode support" ON)
option(LARGE_FILES "Enable large files support" ON)

set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)

set(ZenLib_MAJOR_VERSION "0")
set(ZenLib_MINOR_VERSION "4")
set(ZenLib_PATCH_VERSION "35")

set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
  set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

include(GNUInstallDirs)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_FULL_BINDIR}" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}" CACHE PATH "The directory the headers are installed in")

if(NOT MSVC)
  set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
else()
  set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
endif()

set(ZenLib_HDRS
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream.h
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream_Fast.h
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream_LE.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf_Internal.h
  ${ZenLib_SOURCES_PATH}/ZenLib/CriticalSection.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Dir.h
  ${ZenLib_SOURCES_PATH}/ZenLib/File.h
  ${ZenLib_SOURCES_PATH}/ZenLib/FileName.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.h
  ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.h
  ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/PreComp.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Thread.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Trace.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Translation.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Ztring.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringList.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListList.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.h
  ${ZenLib_SOURCES_PATH}/ZenLib/int128s.h
  ${ZenLib_SOURCES_PATH}/ZenLib/int128u.h
  )

set(ZenLib_SRCS
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/CriticalSection.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Dir.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/File.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/FileName.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/int128s.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/int128u.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Translation.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Thread.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Utils.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Ztring.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringList.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListList.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.cpp
  )

add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS})
if(ENABLE_UNICODE)
  set(ZenLib_Unicode "yes")
  set(ZenLib_CXXFLAGS -DUNICODE)
  target_compile_definitions(zen PUBLIC UNICODE)
else()
  set(ZenLib_Unicode "no")
endif()

if(LARGE_FILES)
  target_compile_definitions(zen PUBLIC _LARGE_FILES _FILE_OFFSET_BITS=64)
endif()

include(CheckTypeSize)
check_type_size(size_t SIZE_T_SIZE)
check_type_size(long LONG_SIZE)
if((LONG_SIZE GREATER 4) AND (SIZE_T_SIZE EQUAL LONG_SIZE))
  target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
endif()

target_include_directories(zen INTERFACE ${INCLUDE_INSTALL_DIR})
target_include_directories(zen PRIVATE ${ZenLib_SOURCES_PATH})

set_target_properties(zen PROPERTIES
  VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}
  SOVERSION ${ZenLib_MAJOR_VERSION}
  )

if(MSVC)
  get_target_property(LOCATION zen LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS Debug)

  get_target_property(LOCATION zen LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
endif()

install(TARGETS zen EXPORT zen-export
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR})

install(EXPORT zen-export DESTINATION ${ZenLib_CONFIG_INSTALL_DIR} FILE ZenLibTargets.cmake)

foreach(HEADER ${ZenLib_HDRS})
  string(REPLACE ${ZenLib_SOURCES_PATH} "" DIR ${HEADER})
  string(REGEX REPLACE "/[^/]*$" "" DIR ${DIR})
  install(FILES ${HEADER} DESTINATION include/${DIR})
endforeach()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

# pkg-config
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libzen.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
                 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif()

# cmake-modules
include(CMakePackageConfigHelpers)
configure_package_config_file(
  ZenLibConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake"
  INSTALL_DESTINATION ${ZenLib_CONFIG_INSTALL_DIR}
  PATH_VARS BIN_INSTALL_DIR
            LIB_INSTALL_DIR
            INCLUDE_INSTALL_DIR)

write_basic_config_version_file(ZenLibConfigVersion.cmake VERSION ${ZenLib_VERSION_STRING} COMPATIBILITY AnyNewerVersion)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfigVersion.cmake
  DESTINATION ${ZenLib_CONFIG_INSTALL_DIR})

if(NOT TARGET uninstall)
  add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

=== debian/changelog ===
libzen (0.4.35-1) experimental; urgency=medium

  * Upstream version 0.4.35
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

libzen (0.4.31-4) unstable; urgency=medium

  * [57011db] Update Vcs-* fields (Closes: #796866)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Aug 2015 15:17:38 +0800

libzen (0.4.31-3) unstable; urgency=low

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 21 Aug 2015 20:19:44 +0800

libzen (0.4.31-2) experimental; urgency=medium

  * [ddb5069] Perform library transition for GCC 5 rebuild (Closes: #791188)
  * [aa296c3] Update libzen0v5.symbols
    std::basic_string has changed moved into a different namespace, changing the
    symbols of all functions which have it in their signature. (Closes: #792495)
  * [5e4009d] Add Replaces and Conflicts

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Aug 2015 12:16:56 +0800

libzen (0.4.31-1) experimental; urgency=medium

  * [374490a] Imported Upstream version 0.4.31
  * [045cf87] Drop zenlib-missed-cmake-files.patch.
    Applied upstream
  * [2ae0146] Specify -B when using dh_auto_*
    Debhelper's cmake subsystem prefers to use out-of-tree building, at
    obj-${DEB_HOST_GNU_TYPE}, but this is an implementation detail we shouldn't
    rely on. So, explicitly set the builddir instead so that we know where to
    find the .pc file.
  * [1b2b7e9] Patch CMakeLists to use GNUInstallDirs.
    This gives us automatic multiarch support.
  * [3e9fa36] Update libzen-dev.install to look for .pc in debian/tmp

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Apr 2015 12:15:44 +0800

libzen (0.4.30-2) UNRELEASED; urgency=low

  * [4d65fb4] Use cmake
  * [8b3e390] Re-add missing cmake files in a patch.
    Thanks to Ivan Romanov
  * [a6c4410] Mangle the cmake .pc, not the autofoo one

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Apr 2015 12:09:44 +0800

libzen (0.4.30-1) experimental; urgency=medium

  * [0c54249] Update Vcs-* fields
    libzen resides in pkg-multimedia now, not in collab-maint.
    Thanks to Thomas Otto <thomas.c.otto@gmx.net>
  * [58c8a65] Imported Upstream version 0.4.30
  * [283c9f8] Update symbols file
  * [3dfbf94] Install .pc file to multiarch directory
  * [c0f040e] No-change bump of Standard-Version to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Nov 2014 10:46:21 +0800

libzen (0.4.29-1) unstable; urgency=low

  * [27b1766] Imported Upstream version 0.4.29
  * [de7c824] Fix dep5 field name typo

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 May 2013 21:28:44 +0800

libzen (0.4.28-2) experimental; urgency=low

  * [c0b2e49] Fix unlisted std:: symbol in libzen0.symbols (Closes: #701314)
  * [32d1a5b] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Feb 2013 01:05:22 +0800

libzen (0.4.28-1) experimental; urgency=low

  * [0c202c7] Imported Upstream version 0.4.28

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Aug 2012 19:39:18 +0800

libzen (0.4.27-2) unstable; urgency=low

  * [6704d62] Ignore inline ToZtring symbols.
    This fixes build failures arising from spurious ToZtring symbols appearing when
    they get uninlined on certain architectures.
  * [25a304e] Sort libzen0.symbols

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 16:49:28 +0800

libzen (0.4.27-1) unstable; urgency=low

  * [735e67f] Imported Upstream version 0.4.27
  * [0816384] Call dpkg-gensymbols with -c4.
    This ensures the symbols file is always kept up to date.
  * [4399009] Update optional symbols regex for std:: functions
  * [cb88073] Add --parallel to dh invocation

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 13:33:44 +0800

libzen (0.4.26-1) unstable; urgency=low

  * [192a9e3] Imported Upstream version 0.4.26:
    - Better support of machines lacking of std::stringstream
    - Better support of machines requesting explicit stdc++ library link option
      (e.g. some ARM embedded devices)
  * [1122615] Bump debhelper build-dep version to 9
  * [0ef5511] Bump Standards-Version to 3.9.3
    - Update copyright format URL

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Apr 2012 18:14:20 +0800

libzen (0.4.25-1) UNRELEASED; urgency=low

  * [5cb095b] Update watch url
  * [8bc5267] Imported Upstream version 0.4.25:
    + Fast bitstream parser
    + Removing Win9X detection on 64-bit CPU
    + Ztring: integer to text conversion with radix=2
    + Updated Linux compilation scripts
  * [e1dc5fd] Add missing clause to zlib license

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Mar 2012 00:42:53 +0800

libzen (0.4.24-2) unstable; urgency=low

  * [15eb4bc] Remove Doxygen-generated files during clean.
    This fixes issues with the package being built twice.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Jan 2012 06:11:26 +0800

libzen (0.4.24-1) unstable; urgency=low

  * [9fccad3] Imported Upstream version 0.4.24
  * [9bbc628] Drop all patches -- applied upstream
  * [931d09d] Drop removed paths from .install
  * [586970b] Use download.mediaarea.net in watchfile
  * [a35bfce] Drop gbp.conf.
    Use tgz from download.mediaarea.net instead
  * [003e14d] Use download.mediaarea.net in watchfile

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 25 Jan 2012 03:42:26 +0800

libzen (0.4.23-4) unstable; urgency=low

  * [75c6135] Fix NEED_SIZET patch to avoid 32-bit breakage.
    Thanks to Peter Green (Closes: #656717)
  * [1ae30af] Install arch-specific libzenconfig.h to libzen-dev

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Jan 2012 15:26:40 +0800

libzen (0.4.23-3) unstable; urgency=low

  * [773397c] Add patch to fix libmediainfo FTBFS on s390

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Jan 2012 20:09:30 +0800

libzen (0.4.23-2) unstable; urgency=low

  * [ec1ccfa] Make long double symbols replaceable with __float128b.
    This fixes build issues with powerpc, sparc and s390(x)



=== Project/GNU/PKGBUILD ===
# $Id$
# Maintainer: MediaArea.net SARL <info@mediaarea.net>
# Contributor: hydro <hydro@freenet.de>

pkgname=libzen
pkgver=0.4.35
pkgrel=1
pkgdesc="shared library for libmediainfo and mediainfo"
arch=('i686' 'x86_64')
url="http://mediaarea.net"
license=('BSD')
depends=('gcc-libs')
makedepends=('libtool' 'automake' 'autoconf')
source=(${pkgname}_${pkgver}.orig.tar.xz)
md5sums=('00000000000000000000000000000000')

build() {
  cd $srcdir/ZenLib/Project/GNU/Library
  [ -x configure ] || sh ./autogen.sh
  [ -f Makefile ] || ./configure --prefix=/usr --enable-shared --disable-static
  make clean
  make
}

package() {
  cd $srcdir/ZenLib/Project/GNU/Library
  make DESTDIR=$pkgdir install
  install -dm 755 $pkgdir/usr/include/ZenLib
  install -m 644 $srcdir/ZenLib/Source/ZenLib/*.h $pkgdir/usr/include/ZenLib
  for i in HTTP_Client Format/Html Format/Http; do
    install -dm0755 $pkgdir/usr/include/ZenLib/$i
    install -m0644 $srcdir/ZenLib/Source/ZenLib/$i/*.h $pkgdir/usr/include/ZenLib/$i
  done
  install -D -m 644 $srcdir/ZenLib/License.txt $pkgdir/usr/share/licenses/libzen/License.txt
}
